
D4Science Infrastructure - Task #9344

Remove the haproxy frontend listening on the 8080 port

Jul 21, 2017 12:51 PM - Andrea Dell'Amico

Status: Closed Start date: Sep 01, 2017

Priority: Normal Due date:  

Assignee: _InfraScience Systems Engineer % Done: 100%

Category: System Application Estimated time: 0.00 hour

Target version: Production Jackrabbit Migration from

Derby to PostgreSQL

  

Infrastructure: Production   

Description

It was created to facilitate the migration to the new workspace configuration.

History

#2 - Jul 21, 2017 12:52 PM - Andrea Dell'Amico

- Start date changed from Jul 21, 2017 to Sep 01, 2017

#3 - Sep 07, 2017 01:00 PM - Andrea Dell'Amico

Can we proceed? All the traffic should be on the standard http and https ports right now.

#4 - Sep 07, 2017 01:33 PM - Massimiliano Assante

- Status changed from New to In Progress

I would say yes but i would like to hear the opinion of @gianpaolo.coro@isti.cnr.it and or @lucio.lelii@isti.cnr.it and @roberto.cirillo@isti.cnr.it on this

first. If all the data miner nodes have been restarted since July then they already using the new URL. Is there any other service which is using the

HomeLibrary REST API and was not restarted that you know of?

#5 - Sep 25, 2017 03:55 PM - Andrea Dell'Amico

Massimiliano Assante wrote:

I would say yes but i would like to hear the opinion of @gianpaolo.coro@isti.cnr.it and or @lucio.lelii@isti.cnr.it and @roberto.cirillo@isti.cnr.it on

this first. If all the data miner nodes have been restarted since July then they already using the new URL. Is there any other service which is

using the HomeLibrary REST API and was not restarted that you know of?

 Any news on this one?

#6 - Sep 25, 2017 04:29 PM - Roberto Cirillo

Andrea Dell'Amico wrote:

Massimiliano Assante wrote:

I would say yes but i would like to hear the opinion of @gianpaolo.coro@isti.cnr.it and or @lucio.lelii@isti.cnr.it and

@roberto.cirillo@isti.cnr.it on this first. If all the data miner nodes have been restarted since July then they already using the new URL. Is

there any other service which is using the HomeLibrary REST API and was not restarted that you know of?

 Any news on this one?

 I think the Rstudio instances are using the HomeLibrary REST API (please @gianpaolo.coro@isti.cnr.it could you confirm?) and some rstudio

instances were not restarted since June. I've checked rstudio1 (restarted 07 September) and ip-90-147-167-29.ct1.garrservices.it (restarted 05 June)

#7 - Sep 25, 2017 04:34 PM - Andrea Dell'Amico

Roberto Cirillo wrote:

Andrea Dell'Amico wrote:

Massimiliano Assante wrote:
I would say yes but i would like to hear the opinion of @gianpaolo.coro@isti.cnr.it and or @lucio.lelii@isti.cnr.it and

@roberto.cirillo@isti.cnr.it on this first. If all the data miner nodes have been restarted since July then they already using the new URL.

Is there any other service which is using the HomeLibrary REST API and was not restarted that you know of?

 Any news on this one?

 I think the Rstudio instances are using the HomeLibrary REST API (please @gianpaolo.coro@isti.cnr.it could you confirm?) and some rstudio

instances were not restarted since June. I've checked rstudio1 (restarted 07 September) and ip-90-147-167-29.ct1.garrservices.it (restarted 05

June)

 The rstudio sessions load the home library functions from the users' .RProfile. The file was fixed the same day the new workspace went into

production, but it's only loaded when a new session is been opened.

There's no way to know if any users did not closed their session since late July.

#8 - Oct 02, 2017 05:23 PM - Andrea Dell'Amico

Weekly reminder. I will remove it in two weeks anyway.

#9 - Oct 06, 2017 12:19 PM - Costantino Perciante

Please proceed with the removal Andrea

#10 - Oct 06, 2017 04:36 PM - Andrea Dell'Amico

- Status changed from In Progress to Closed

- % Done changed from 0 to 100

Done.
